%define upstream_name    Math-RNG-Microsoft
%define upstream_version 0.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A pseudo-random number generator compatible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(bigint)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a random number generator used by the Games::ABC_Path::Generator
manpage, which emulates the one found in Microsoft's Visual C++. It was
utilised here, out of familiarity and accessibility, because it is commonly
used to generate Freecell layouts in the Freecell world (see the
https://en.wikipedia.org/wiki/FreeCell_%28Windows%29 manpage ).

*NOTE:* This is not a cryptologically secure random number generator, nor
is it a particularly good one, so its use is discouraged unless
compatibility with the Windows C Run-time-library is needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.0-2.mga9
+ Revision: 1815781
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 0.2.0-1.mga9
+ Revision: 1761836
- update to 0.2.0

* Mon Oct 19 2020 tv <tv> 0.0.5-1.mga8
+ Revision: 1636807
- update to 0.0.5

* Wed Feb 12 2020 umeabot <umeabot> 0.0.4-3.mga8
+ Revision: 1505129
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.4-2.mga7
+ Revision: 1284759
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 shlomif <shlomif> 0.0.4-1.mga7
+ Revision: 1185283
- update to 0.0.4

* Sun Jun 19 2016 pterjan <pterjan> 0.0.3-3.mga6
+ Revision: 1029788
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.3-2.mga6
+ Revision: 950150
- Mageia 6 Mass Rebuild

* Fri Oct 24 2014 shlomif <shlomif> 0.0.3-1.mga5
+ Revision: 792937
- New ver 0.0.3
- imported package perl-Math-RNG-Microsoft


* Thu Oct 23 2014 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
